'use strict'

var lineBreak = /(\r\n)/g;
var schemaURI = /([a-z0-9])+:\/\/[a-z0-9-\.]+\.[a-z]{2,4}\/?([^\s<>\#%"\,\{\}\\|\\\^\[\]`]+)?/g;
var nonSchemaURI = /[ ]+[a-z0-9-\.]+\.[a-z]{2,4}\/?([^\s<>\#%"\,\{\}\\|\\\^\[\]`]+)?/g;

module.exports = function (text) {

	//replacing link breaking char
	text = text.replace(lineBreak, '<br>\r');

	//replaicng schema defined URI
	text = text.replace(schemaURI, function (uri) {
		return '<a href="' + uri + '" target="blank">' + uri + '</a>\r';
	});

	//replacing schema defined URI
	text = text.replace(nonSchemaURI, function (uri) {
		uri = uri.substr(1);
		return '<a href="http://' + uri + '" target="blank">' + uri + '</a>\r';	
	});
	
	return text;
}
